package com.palmnest.service.org.impl;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.property.AboutOrgDao;
import com.palmnest.model.property.AboutOrg;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.org.AboutOrgManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("aboutOrgManager")
public class AboutOrgManagerImpl extends GenericManagerImpl<AboutOrg, Long> implements AboutOrgManager {

	private AboutOrgDao aboutOrgDao;

	@Autowired
	public void setAboutOrgDao(AboutOrgDao aboutOrgDao) {
		this.aboutOrgDao = aboutOrgDao;
		super.dao = aboutOrgDao;
	}

	@Override
	public List<AboutOrg> findByOrg(Integer orgId) {
		return aboutOrgDao.findByOrg(orgId);
	}

	@Override
	public Page getList(Map<String, String> paramMap) {
		return aboutOrgDao.getList(paramMap);
	}

}
